<template>
  <div>
    <!-- part-one  -->
    <v-container
      fluid
      :class="$vuetify.breakpoint.smAndDown ? 'mt-80' : 'mt-140 pr-12 pl-12'"
    >
      <VtpWhat />
    </v-container>
    <!-- part-two -->
    <v-container
      fluid
      :class="
        $vuetify.breakpoint.smAndDown
          ? 'grey lighten-5'
          : 'grey lighten-5 pr-12 pl-12'
      "
    >
      <VtpFeature />
    </v-container>
    <!-- part-three -->
    <v-container
      fluid
      :class="$vuetify.breakpoint.smAndDown ? '' : 'pr-12 pl-12 mb-12'"
    >
      <VtpHardware :data-given="item1" />
    </v-container>
    <!-- part-four  -->
    <v-container
      fluid
      :class="
        $vuetify.breakpoint.smAndDown
          ? 'grey lighten-5'
          : 'grey lighten-5 pr-12 pl-12'
      "
    >
      <VtpServices :data-given="item2" />
    </v-container>
    <!-- part-five -->
    <v-container
      fluid
      :class="$vuetify.breakpoint.smAndDown ? '' : 'pr-12 pl-12 mb-12'"
    >
      <VtpOs />
    </v-container>
    <!-- part-six  -->
    <v-container
      fluid
      :class="
        $vuetify.breakpoint.smAndDown
          ? 'grey lighten-5'
          : 'grey lighten-5 pr-12 pl-12'
      "
    >
      <VtpCardHardware :data-given="item3" />
    </v-container>
    <!-- part-seven -->
    <v-container
      fluid
      :class="$vuetify.breakpoint.smAndDown ? '' : 'pr-12 pl-12 mb-12'"
    >
      <VtpTech :data-given="item4" />
    </v-container>
  </div>
</template>
<script>
export default {
  async asyncData({ app }) {
    const wholeContent = await import(`~/locales/${app.i18n.locale}/solutions/vtp`);
    const item1 = wholeContent.default.witchHardware;
    const item2 = wholeContent.default.services;
    const item3 = wholeContent.default.cardHardware;
    const item4 = wholeContent.default.tech;

    return { item1, item2, item3, item4 };
  },
  head() {
    return {
      title: `${this.$t('vtpSolution.vtp')} | ${this.$t('head.title')}`,
      meta: [
        {
          name: 'description',
          property: 'og:description',
          content: this.$t('vtpSolution.whatIsVtp.description'),
          hid: 'description',
        },
      ],
    };
  },
};
</script>
